Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Branch out 2.0.x and release #466

Closed
sophiaso opened this issue Nov 19, 2018 · 11 comments

Comments

@sophiaso
Copy link
Member

commented Nov 19, 2018

  • Create new branch 2.0.x for Spring Boot version 2.0.x, use Spring Boot version 2.0.6.RELEASE
  • Release version for branch 2.0.x
  • Update master Spring Boot version to 2.1.0.RELEASE, #485
  • Release version 2.1.0 for Spring Boot 2.1.0.RELEASE
  • Update Branch and release wiki

Master version 2.0.8-SNAPSHOT

  • Release version 2.0.8. PR #498.
@Incarnation-p-lee

This comment has been minimized.

Copy link
Collaborator

commented Dec 4, 2018

Update last step to branch and release wiki.

@elhoo

This comment has been minimized.

Copy link

commented Dec 4, 2018

Any estimate when 2.0.8 will be released? It is now 3 weeks ago #456 was merge which we are waiting for.

@xscript

This comment has been minimized.

Copy link
Collaborator

commented Dec 6, 2018

@elhoo We plan to release 2.0.8 before the end of next week. We will update you about any progress.

@zwolsman

This comment has been minimized.

Copy link

commented Dec 18, 2018

Any updates when the support for 2.1.x will be available? 2.1.0 has ben out for more than a month now.

@Incarnation-p-lee

This comment has been minimized.

Copy link
Collaborator

commented Dec 19, 2018

It is still under work, as some dependencies like cosmosdb and gremlin starters also need to upgrade to 2.1.x, hope everything about 2.1.x will be available before the end of this week.

@Incarnation-p-lee

This comment has been minimized.

Copy link
Collaborator

commented Dec 24, 2018

@zwolsman @elhoo
Both 2.1.0 for spring boot 2.1.x and 2.0.8 for spring boot 2.0.x has released. Please feel free to have a try.

@zwolsman

This comment has been minimized.

Copy link

commented Dec 26, 2018

@Incarnation-p-lee It works if you don't configure the http security.

 override fun configure(http: HttpSecurity) {
        http
                .authorizeRequests()
                .anyRequest().authenticated()
                .and()
                .oauth2Login()

                .userInfoEndpoint()
                .oidcUserService(oidcUserService)
    }

This will still cause the error

java.lang.ClassCastException: java.lang.String cannot be cast to java.util.List
@Incarnation-p-lee

This comment has been minimized.

Copy link
Collaborator

commented Dec 27, 2018

@zwolsman
Thanks for your feedback, could you please share more details about this issue, like version you leverage of this repo, spring boot version, as well as the sample code you are running ?

@frjtrifork

This comment has been minimized.

Copy link

commented Jan 3, 2019

java.lang.ClassCastException: java.lang.String cannot be cast to java.util.List

I had this error also.
It is caused by a version mismatch between spring boot security and adal4j.
They both depend on the oauth2-oidc-sdk dependency - but spring boot security uses 6.x and adal4j uses 5.64.4.

I specified the version that adal4j depends on in my build.gradle file and it resolved the classcastexception.

I don't use anything else that depends on the oauth2-oidc-sdk, so pulling the version down to 5.64.4 have not caused problems for me.

Add something like this to your build.gradle file / pom.xml
compile("com.nimbusds:oauth2-oidc-sdk:5.64.4")

@Incarnation-p-lee

This comment has been minimized.

Copy link
Collaborator

commented Jan 4, 2019

@frjtrifork
Yes, we did not involve the version override for gradle yet, as I am not very familiar with gradle version management. Thanks for you information, as spring security guys words, they do not involve any sdk with breaking changes. So here use 5.64.4 for nimbusds may have minor impacts. We may fix this for gradle later.

@Incarnation-p-lee

This comment has been minimized.

Copy link
Collaborator

commented Jan 22, 2019

@frjtrifork
As we have another issue #530 for version control from gradle, will close this issue right now.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
6 participants
You can’t perform that action at this time.